; *** THIS FILE IS ENTIRELY OPTIONAL (harhar) ***
; the original command line options and settings by file will override anything in this ini

; leave any items you don't want to set out of this ini file, or leave their values blank
; when not specified, input can be either decimal or hexidecimal (when preceded with 0x)

; console type
; valid values are: xenon, zephyr, falcon, jasper, jasper256, jasper512
; ie: type=falcon;
type = ;
; put hexidecimal 1BL key here, or on command line, or in 1blkey.txt
1blkey = ;
; put hexidecimal cpu key here or on command line, or in cpukey.txt
cpukey = ;

; the values below here represent the default values if the items are not present in the ini
; ******************************************************************************************

; olddvd is the old fbbuild method of checking tray status (not closed) to start xell (true/false)
olddvd = false;
; nodvd is the old ibuild method of checking tray status (fully open) to start xell (true/false)
nodvd = false;
; sets UART speed during bootstrap to cygnos compatible speeds (true/false)
cygnos = false;

; if a nand image is provided for per console data, this will skip using the mobile*.dat files in it (true/false)
nomobile = false;
; if a nand image is provided for per console data, this will skip applying any bad block remapping to the final image (true/false)
noremap = false;
; if a nand image is provided for per console files and noremap is not set to true, this option set to true will remap blocks with ECD checksum errors
noecdremap = true;

; *** options below here alter provided smc config

; will alter the input smc config target temp for CPU when fans are on auto, value is in Centigrade
; valid values are 40 thru 120, 0 will do nothing, any other value will leave the setting unchanged and produce an error message
; example: cputemp=60; sets 60C as the target temp for the auto fan speed algo
cputemp = 60;
; will alter the input smc config target temp for GPU when fans are on auto, value is in Centigrade
; valid values are 40 thru 120, 0 will do nothing, any other value will leave the setting unchanged and produce an error message
; example: gputemp=60; sets 60C as the target temp for the auto fan speed algo
gputemp = 60;
; will alter the input smc config target temp for EDRAM when fans are on auto, value is in Centigrade
; valid values are 40 thru 120, 0 will do nothing, any other value will leave the setting unchanged and produce an error message
; example: edramtemp=60; sets 60C as the target temp for the auto fan speed algo
edramtemp = 65;
; will alter the input smc config overheat/overload temp for CPU when fans are on auto, value is in Centigrade
; valid values are 40 thru 120, 0 will do nothing, any other value will leave the setting unchanged and produce an error message
; example: cputemp=60; sets 60C as the overheat/overload temp for the auto fan speed algo
overcputemp = 80;
; will alter the input smc config overheat/overload temp for GPU when fans are on auto, value is in Centigrade
; valid values are 40 thru 120, 0 will do nothing, any other value will leave the setting unchanged and produce an error message
; example: gputemp=60; sets 60C as the overheat/overload temp for the auto fan speed algo
overgputemp = 80;
; will alter the input smc config overheat/overload temp for EDRAM when fans are on auto, value is in Centigrade
; valid values are 40 thru 120, 0 will do nothing, any other value will leave the setting unchanged and produce an error message
; example: edramtemp=60; sets 60C as the overheat/overload temp for the auto fan speed algo
overedramtemp = 82;

; will force CPU fan to run at this speed all the time, valid values are 40-100 in decimal
; specify 0 to force auto fan speed
; example cpufan=80;
cpufan = 0;
; will force GPU fan to run at this speed all the time, valid values are 40-100 in decimal
; specify 0 to force auto fan speed
; example gpufan=80;
gpufan = 0;

; sets the video output mode, known values are 0x100 (NTSC) and 0x300 (PAL)
avregion = ;
; this is a 16bit value that denotes the console's game region
; ie: gameregion = 0x00FF; would be a NTSC/US game region console
gameregion = ;
; this is a 32 bit value that sets the consoles DVD region, 1-8 appear to be valid, there may be others for 'region free'
dvdregion = ;

; will alter the mac address in smc config, input hex value for the 6 bytes
; example: macid=00:22:48:F1:01:02;
macid = ;
